<?php
include_once '../core/core.php';
$t = "Авторизация";
if ($user->auth()){
	$core->GoToPage("/cp.lm");
	#include_once '../core/head.php';
	#echo '<div class="error">Вы уже авторизованы.</div>'.l("/cp.lm","Перейти в панель управления","key");
	#include_once '../core/foot.php';
	#die();
}
if (isset($_POST["auth"])){
	if (!isset($_POST["domain"]) || empty($_POST["domain"])){
		$core->regError("Не введен логин","Не введен логин",1,"Auth");
	} elseif (!isset($_POST["sdomain"]) || !isset($_domains[intval($_POST["sdomain"])])){
		$core->regError("Данный поддомен недоступен","Данный поддомен недоступен",2,"Auth");
	} elseif (!isset($_POST["password"]) || empty($_POST["password"])){
		$core->regError("Не введен пароль","Не введен пароль",2,"Auth");
	} elseif (!$user->authUser($core->FilterString($_POST["domain"]).$_domains[intval($_POST["sdomain"])],$core->StringHash($core->FilterString($_POST["password"])))){
		$core->regError("Не удалось войти в аккаунт, логин или пароль не совпадает.","Не удалось войти в аккаунт, логин или пароль не совпадает.",3,"Auth");
	} else {
		$domain_full = $core->FilterString($_POST["domain"]);
		$domain_full .= $_domains[intval($_POST["sdomain"])];
		$domain_full = strtolower($domain_full);
		setcookie('gLPD', $domain_full, time()+60*60*24*7,'/');
        setcookie('gLPP', $core->StringHash($core->FilterString($_POST["password"])), time()+60*60*24*7,'/');
		$core->GoToPage("/cp.lm");
		die();
	}
	
}
include_once '../core/head.php';
?>

<div class="text-center" style="padding:90px 0 30px 0;background:#fff;border-bottom:1px solid #ddd">
    <img src="/assets/img/logo-big.svg" width="300" height="45">
</div>
<div class="col-sm-6 col-md-4 col-lg-3" style="margin:40px auto; float:none;"><form method="post">
		<?php
		
		if ($core->isBooleanError()){
			foreach ($core->showError() as $csE){
				echo '<div class="col-xs-12"><div class="alert alert-danger"><b>Err#'.$csE["code"].'</b> | '.$csE["utxt"].'</div>';
			}
		
		}
		
		?>
		<div class="col-xs-12">
			<div class="form-group">
				<div class="input-group">
					<div class="input-group-addon"><i class="fa fa-fw fa-user"></i></div>
					<input type="text" name="domain" class="form-control" placeholder="Домен" value="<?=$core->FilterString((isset($_POST["domain"])?$_POST["domain"]:null))?>">
				</div>
			</div>
			<div class="form-group">
				<div class="input-group">
					<div class="input-group-addon"><i class="fa fa-fw fa-globe"></i></div>
					<select name="sdomain"  class="form-control">
					<?php
					foreach ($_domains as $dk => $dv){
						echo '<option value="'.$dk.'" '.(isset($_POST["sdomain"]) && intval($_POST["sdomain"]) == $dk?'selected':null).'>'.$dv.'</option>';
					}
					?>
					</select>
				</div>
			</div>
			<div class="form-group">
				<div class="input-group">
					<div class="input-group-addon"><i class="fa fa-fw fa-lock"></i></div>
					<input type="password" name="password" class="form-control" placeholder="Пароль">
				</div>
			</div>
			
        </div>
		<div class="col-xs-6">
			<div class="checkbox"><label><input type="checkbox"> Запомнить меня</label></div>
		</div>
		<div class="col-xs-6">
			<button type="submit" name="auth" class="btn btn-block btn-primary">Войти</button>
        </div>
		
		<div class="col-xs-12" style="
    color: #a3a3a3;
    font-size: xx-small;
    text-align: center;
">
			&copy; gLark.Ru - Server #<?=SERVER_NUMBER?> v<?=v?>
        </div>
</form></div>
